Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.logging
[Java] Interface LoggingOutput

    public interface LoggingOutput

Provides access to the output of the Gradle logging system.

Method Summary
`void` | `addStandardErrorListener(StandardOutputListener listener)` Adds a listener which receives output written to standard error by the Gradle logging system.
`void` | `addStandardOutputListener(StandardOutputListener listener)` Adds a listener which receives output written to standard output by the Gradle logging system.
`void` | `removeStandardErrorListener(StandardOutputListener listener)` Removes a listener from standard error.
`void` | `removeStandardOutputListener(StandardOutputListener listener)` Removes a listener from standard output.

Method Detail

### addStandardErrorListener

    public void addStandardErrorListener(StandardOutputListener listener)

  Adds a listener which receives output written to standard error by the Gradle logging system.
  Parameters:
    `listener` - The listener to add.

### addStandardOutputListener

    public void addStandardOutputListener(StandardOutputListener listener)

  Adds a listener which receives output written to standard output by the Gradle logging system.
  Parameters:
    `listener` - The listener to add.

### removeStandardErrorListener

    public void removeStandardErrorListener(StandardOutputListener listener)

  Removes a listener from standard error.
  Parameters:
    `listener` - The listener to remove.

### removeStandardOutputListener

    public void removeStandardOutputListener(StandardOutputListener listener)

  Removes a listener from standard output.
  Parameters:
    `listener` - The listener to remove.

Gradle API 1.10